#include "cdevicecontroller.h"

cDeviceController::cDeviceController(QObject *parent) : QObject(parent)
{

}

// Will add feature check add ok or not!
void cDeviceController::addDevice(st_device_info device)
{
    listDevice.append(device);
}

bool cDeviceController::setDeviceStatus(QString name, bool status, QString &result)
{
    bool res = false;
    for(int i = 0; i < listDevice.count();i++)
    {
        if(listDevice.at(i).name == name)
        {
            if(listDevice[i].isOn == status)
            {
                result = QString("Sorry, the %0 is already %1").arg(name).arg(status == true? "on" : "off");
            }
            else
            {
                listDevice[i].isOn = status;
                result = QString("OK! I turned the %0 %1").arg(name).arg(status == true?"on":"off");
            }
            res = true;
        }
    }
    if(res == false)
    {
        result = QString("Sorry! We do not have the %0").arg(name);
        res = true;// for demo
    }
    return res;
}

QString cDeviceController::getStatusDevice(QString name)
{
    QString result = false;
    bool found = false;
    for(int i = 0; i < listDevice.count();i++)
    {
        if(listDevice.at(i).name == name)
        {
            found = true;
            result = QString("The %0 is %1 now").arg(name).arg(listDevice.at(i).isOn == true? "on" : "off");
        }
    }
    if(found == false)
    {
        result = QString("Sorry! We do not have the %0").arg(name);
    }
    return result;
}

/**
 * @brief cDeviceController::init devices
 */
void cDeviceController::init()
{
    listDevice.append(st_device_info("fan",false));
    listDevice.append(st_device_info("lamp",false));
}

void cDeviceController::init(QList<st_device_info> list)
{
    listDevice = list;
}
