#ifndef CDEVICECONTROLLER_H
#define CDEVICECONTROLLER_H

#include <QObject>
#include "define.h"

class cDeviceController : public QObject
{
    Q_OBJECT
private:
    QList<st_device_info> listDevice;
public:
    explicit cDeviceController(QObject *parent = 0);
    void addDevice(st_device_info device);
    QString getDeviceName(int idx){return listDevice.at(idx).name;}
    int getNumberDevice(){return listDevice.count();}
    bool setDeviceStatus(QString name, bool status, QString &result);
    QString getStatusDevice(QString name);
    void init();
    void init(QList<st_device_info> list);
};

#endif // CDEVICECONTROLLER_H
