#include <QByteArray>
#include <qjsonobject.h>
#include <qjsondocument.h>
#include <qjsonarray.h>

#include <QDebug>
#include "json.h"
#include "cjsonobject.h"


cJsonObject::cJsonObject()
{

}

QString cJsonObject::createJsonString(QVariantMap verifyInfoMap)
{
    bool ok;
    QByteArray jsonStr = QtJson::serialize(verifyInfoMap, ok);
    return jsonStr.constData();
}

QString cJsonObject::getValue(QString json,QString key)
{
    QJsonDocument jsonDoc = QJsonDocument::fromJson(json.toUtf8());
    QJsonObject obj = jsonDoc.object();
    QJsonValue value = obj.value(key);
    return value.toString();
}

void cJsonObject::getListDevice(QString json, QString key, QList<st_device_info> &list)
{
    list.clear();
    QJsonDocument doc(QJsonDocument::fromJson(json.toUtf8()));
    QJsonObject jsonObject = doc.object();
    QVariantMap mainmap = jsonObject.toVariantMap();
    QVariantList phraseList = mainmap["devices"].toList();
    for(int i = 0; i< phraseList.count();i++)
    {
        QVariantMap m = phraseList[i].toMap();

        if (m.contains("name") && m.contains("status")) {
            list.append(st_device_info(m["name"].toString(),(m["status"].toString() == "on"? true : false)));
        }
    }
}
