QT += core network
QT -= gui

CONFIG += c++14

TARGET = QtHttpServer
CONFIG += console
CONFIG -= app_bundle

TEMPLATE = app

SOURCES += main.cpp \
    qhttp/qhttpabstracts.cpp \
    qhttp/qhttpclient.cpp \
    qhttp/qhttpclientrequest.cpp \
    qhttp/qhttpclientresponse.cpp \
    qhttp/qhttpserver.cpp \
    qhttp/qhttpserverconnection.cpp \
    qhttp/qhttpserverrequest.cpp \
    qhttp/qhttpserverresponse.cpp \
#    http-parser/contrib/parsertrace.c \
#    http-parser/contrib/url_parser.c \
    http-parser/bench.c \
    http-parser/http_parser.c \
#    http-parser/test.c
    cprocessrequest.cpp \
    cJson/cjsonobject.cpp \
    cJson/json.cpp \
    cDeviceController/cdevicecontroller.cpp

DISTFILES += \
    http-parser/http_parser.gyp \
    http-parser/LICENSE-MIT \
    http-parser/AUTHORS \
    http-parser/README.md

HEADERS += \
    http-parser/http_parser.h \
    qhttp/qhttpabstracts.hpp \
    qhttp/qhttpclient.hpp \
    qhttp/qhttpclientrequest.hpp \
    qhttp/qhttpclientresponse.hpp \
    qhttp/qhttpfwd.hpp \
    qhttp/qhttpserver.hpp \
    qhttp/qhttpserverconnection.hpp \
    qhttp/qhttpserverrequest.hpp \
    qhttp/qhttpserverresponse.hpp \
    qhttp/private/qhttpbase.hpp \
    qhttp/private/qhttpclient_private.hpp \
    qhttp/private/qhttpclientrequest_private.hpp \
    qhttp/private/qhttpclientresponse_private.hpp \
    qhttp/private/qhttpserver_private.hpp \
    qhttp/private/qhttpserverconnection_private.hpp \
    qhttp/private/qhttpserverrequest_private.hpp \
    qhttp/private/qhttpserverresponse_private.hpp \
    cprocessrequest.h \
    cJson/cjsonobject.h \
    cJson/json.h \
    cDeviceController/cdevicecontroller.h \
    define.h

INCLUDEPATH+= qhttp \
              http-parser
