#ifndef CPROCESSREQUEST_H
#define CPROCESSREQUEST_H

#include <QObject>
#include "qhttp/qhttpserver.hpp"
#include "qhttpserverrequest.hpp"
#include "qhttpserverresponse.hpp"

#include "cDeviceController/cdevicecontroller.h"
#include "cJson/cjsonobject.h"

using namespace qhttp::server;

class cProcessRequest:public QObject
{
    Q_OBJECT
protected:
    bool isInit;
    cDeviceController controller;
    cJsonObject jsonObj;
    QString createRespone(QString resText, QString action, QString to);
public:
    explicit cProcessRequest();
    ~cProcessRequest();
    void init();
    void actionPost(quint64 id, QHttpRequest *req, QHttpResponse *res);
public slots:
    void onNewRequestFromClient(QHttpRequest *request, QHttpResponse *response);
};

#endif // CPROCESSREQUEST_H
