#include <QCoreApplication>
#include "qhttp/qhttpserver.hpp"
#include "qhttpserverrequest.hpp"
#include "qhttpserverresponse.hpp"
#include <QObject>
#include "cprocessrequest.h"
//#include "cJson/cjsonobject.h"
using namespace qhttp::server;
int main(int argc, char *argv[])
{
    QCoreApplication app(argc, argv);

    quint64 iconnectionCounter = 0;
    QHttpServer server(&app);
    cProcessRequest myProcessRequest;
    myProcessRequest.init();

    // listening on localhost:8080
    server.listen(QHostAddress::Any, 9090, [&](QHttpRequest* req, QHttpResponse* res) {
        myProcessRequest.actionPost(iconnectionCounter,req,res);
        iconnectionCounter++;
    });


    if ( !server.isListening() ) {
        fprintf(stderr, "failed. can not listen at port 8080!\n");
        return -1;
    }

    // application's main event loop
    return app.exec();
}
